Period Class Reference
Date and time calculations

`#include <ql/time/period.hpp>`

## Public Member Functions

| Period (Integer n, TimeUnit units)
| Period (Frequency f)
Integer | length () const
TimeUnit | units () const
Frequency | frequency () const
Period & | operator+= (const Period &)
Period & | operator-= (const Period &)
Period & | operator/= (Integer)
void | normalize ()

## Related Functions

(Note that these are not member functions.)
Real | years (const Period &)
Real | months (const Period &)
Real | weeks (const Period &)
Real | days (const Period &)
template<typename T >
Period | operator* (T n, TimeUnit units)
template<typename T >
Period | operator* (TimeUnit units, T n)
Period | operator- (const Period &)
Period | operator* (Integer n, const Period &)
Period | operator* (const Period &, Integer n)
Period | operator/ (const Period &, Integer n)
Period | operator+ (const Period &, const Period &)
Period | operator- (const Period &, const Period &)
bool | operator< (const Period &, const Period &)
bool | operator== (const Period &, const Period &)
bool | operator!= (const Period &, const Period &)
bool | operator> (const Period &, const Period &)
bool | operator<= (const Period &, const Period &)
bool | operator>= (const Period &, const Period &)
std::ostream & | operator<< (std::ostream &, const Period &)

## Detailed Description

This class provides a Period (length + TimeUnit) class and implements a limited algebra.

Tests:
  self-consistency of algebra is checked.

Examples
  BasketLosses.cpp, BermudanSwaption.cpp, Bonds.cpp, CallableBonds.cpp, CDS.cpp, ConvertibleBonds.cpp, CVAIRS.cpp, FittedBondCurve.cpp, LatentModel.cpp, MulticurveBootstrapping.cpp, and Repo.cpp.